View Javadoc

    1   /* Generated By:JJTree: Do not edit this line. ASTJspDirective.java */
    2
    3   package net.sourceforge.pmd.jsp.ast;
    4
    5   public class ASTJspDirective extends SimpleNode {
    6
    7       /* BEGIN CUSTOM CODE */
    8
    9       /***
    10       * Name of the element-tag. Cannot be null.
    11       */
    12      private String name;
    13
    14      /***
    15       * @return Returns the name.
    16       */
    17      public String getName() {
    18          return name;
    19      }
    20
    21      /***
    22       * @param name The name to set.
    23       */
    24      public void setName(String name) {
    25          this.name = name;
    26      }
    27
    28      /* (non-Javadoc)
    29       * @see com.applicationengineers.pmd4jsp.ast.SimpleNode#toString(java.lang.String)
    30       */
    31      public String toString(String prefix) {
    32          return super.toString(prefix) + " name=[" + name + "] ";
    33      }
    34  /* END CUSTOM CODE */
    35
    36      public ASTJspDirective(int id) {
    37          super(id);
    38      }
    39
    40      public ASTJspDirective(JspParser p, int id) {
    41          super(p, id);
    42      }
    43
    44
    45      /***
    46       * Accept the visitor. *
    47       */
    48      public Object jjtAccept(JspParserVisitor visitor, Object data) {
    49          return visitor.visit(this, data);
    50      }
    51  }